Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Apr 2013 09:45:35 +0300

> From: Glenn Morris <[email-masked]>
> Date: Fri, 19 Apr 2013 20:17:25 -0400
> Cc: [email-masked]
> 
> E Sabof wrote:
> 
> > The limitation makes emacs frames rather clumsy, especially when using
> > maximization, or some form of tiling. I'd think there would already be a
> > report on it, as the issue shows up periodically on reddit. I couldn't find
> > one, so here it is.
> 
> etc/TODO:
> 
> ** Remove the limitation that window and frame widths and heights can
>   be only full columns/lines.

Right.  And I don't think the wording of the problem in both cases is
accurate enough.  There is no such limitation, except in functions
that actually resize the frame/window.  The display engine doesn't
require integral number of character cells.

So, if someone wants to bite the bullet, the way to go is:

  . introduce interfaces to specify frame/window size in pixels

  . in the implementation of those interfaces, round up the sizes in
    column and line units to the integral numbers, so that the glyph
    matrices are large enough